<div class="row">
  <div class="col text-center">
    <h2>Recupero dati tramite service</h2>
  </div>
</div>
<div class="row mt-3">
  <div class="col-12">
    <h4>Recupero dati sincrono</h4>
  </div>
  <div class="col-3" *ngFor="let dipendente of dipendenti">
    <h5>{{ dipendente.nome }} - <small>ID: {{ dipendente.id }}</small></h5>
    <div>Sede: {{ dipendente.sede }}</div>
  </div>
</div>
<hr>
<div class="row mt-3">
  <div class="col-12">
    <h4>Recupero dati asincrono</h4>
  </div>
  <div class="col-3" *ngFor="let dipendente of dipendentiAsync">
    <h5>{{ dipendente.nome }} - <small>ID: {{ dipendente.id }}</small></h5>
    <div>Sede: {{ dipendente.sede }}</div>
  </div>
</div>
<hr>
<div class="row mt-3">
  <div class="col-12">
    <h4>Recupero ultime commit Angular da GitHub API</h4>
    <ng-container *ngFor="let commit of commits">
      <div class="mt-3"><small>{{ commit.sha }}</small></div>
      <div>{{ commit.commit.message }}</div>
      <div>Autore: <b>{{ commit.author.login }}</b></div>
    </ng-container>
  </div>
</div>
